(* whenjobs
 * Copyright (C) 2012 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

open Big_int
open Whenexpr

let set_variable name value =
  check_valid_variable_name name;
  Whenfile.set_variable name (T_string value)

let set_variable_bool name value =
  check_valid_variable_name name;
  Whenfile.set_variable name (T_bool value)

let set_variable_int name value =
  check_valid_variable_name name;
  Whenfile.set_variable name (T_int (big_int_of_int value))

let set_variable_string = set_variable

let set_variable_float name value =
  check_valid_variable_name name;
  Whenfile.set_variable name (T_float value)
